Loading...
Searching...
No Matches
debug.c File Reference
Rig (transceiver) API

Control Hamlib debugging functions. More...

`#include <hamlib/config.h>`
`#include <stdarg.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <errno.h>`
`#include <hamlib/rig.h>`
`#include <hamlib/rig_dll.h>`
`#include "misc.h"`
Include dependency graph for debug.c:

## Macros

#define | DUMP_HEX_WIDTH 16
| Sets the number of hexadecimal pairs to print per line.

## Functions

void | dump_hex (const unsigned char ptr[], size_t size)
| Do a hex dump of the unsigned char array.
void | rig_set_debug (enum rig_debug_level_e debug_level)
| Change the current debug level.
void | rig_get_debug (enum rig_debug_level_e *debug_level)
| Get the current debug level.
int | rig_need_debug (enum rig_debug_level_e debug_level)
| Test if a given debug level is active.
void | rig_set_debug_time_stamp (int flag)
| Enable or disable the time stamp on debugging output.
void | rig_debug (enum rig_debug_level_e debug_level, const char *fmt,...)
| Print debugging messages through stderr by default.
vprintf_cb_t | rig_set_debug_callback (vprintf_cb_t cb, rig_ptr_t arg)
| Set callback to handle debugging messages.
FILE * | rig_set_debug_file (FILE *stream)
| Change the output stream from stderr to a different stream.
FILE * | rig_set_debug_filename (char *filename)
| Change the output stream to a filename.

## Variables

FILE * | rig_debug_stream

## Detailed Description

Control Hamlib debugging functions.